Name:           autopsy
Version:        2.21
Release:        1%{?dist}
Summary:        Graphical front end for The Sleuth Kit Forensics software

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.sleuthkit.org/autopsy
Source0:        http://download.sourceforge.net/autopsy/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  sleuthkit
Requires:       binutils
Requires:       file
Requires:       grep
Requires:       perl
Requires:       sleuthkit

BuildArch:      noarch

%description
The Autopsy Forensic Browser is a graphical interface to utilities
found in The Sleuth Kit (TSK).  TSK is a collection of command line
tools that allow you to investigate a Windows or Unix system by
examining the hard disk contents.  TSK and Autopsy will show you
the files, data units, and metadata of NTFS, FAT, EXTxFS, and UFS
file system images in a read-only environment.  Autopsy allows you
to search for specific types of evidence based on keywords, MAC
times, hash values, and file types.

Autopsy is HTML-based and uses a client-server model.  The Autopsy
server runs on many UNIX systems and the client can be any platform
with an HTML browser.  This enables one to create a flexible
environment with a central Autopsy server and several remote clients.
For incident response scenarios, a CD with The Sleuth Kit and Autopsy
can be created to allow the responder read-only remote access to a
live suspect system from an HTML-browser on a trusted system.  Refer
to the README-live.txt file for more details.

Autopsy will not modify the original images and the integrity of
the images can be verified in Autopsy using MD5 values.  There are
help pages for the main analysis modes and The Sleuth Kit Informer
is a newsletter that adds additional documentatio.n

%prep
%setup -q

%build
# "build" autopsy
cat > autopsy << EOF
#!%{_bindir}/perl -wT
use lib '%{_datadir}/autopsy/';
use lib '%{_datadir}/autopsy/lib/';
EOF
cat base/autopsy.base >> autopsy

# "build" make-live-cd
cat > make-live-cd << EOF
#!%{_bindir}/perl
use lib '%{_datadir}/autopsy/';
use lib '%{_datadir}/autopsy/lib/';
EOF
cat base/make-live-cd.base >> make-live-cd

# "build" conf.pl
cat > conf.pl << EOF
# Autopsy configuration settings

# when set to 1, the server will stop after it receives no
# connections for STIMEOUT seconds. 
\$USE_STIMEOUT = 0;
\$STIMEOUT = 3600;

# number of seconds that child waits for input from client
\$CTIMEOUT = 15;

# set to 1 to save the cookie value in a file (for scripting)
\$SAVE_COOKIE = 1;

\$INSTALLDIR = '%{_datadir}/autopsy/';

# System Utilities
\$STRINGS_EXE = '%{_bindir}/strings';
\$GREP_EXE = '/bin/grep';
\$FILE_EXE = '%{_bindir}/file';

# Directories
\$TSKDIR = '%{_bindir}/';
\$NSRLDB = '';
\$LOCKDIR = '%{_localstatedir}/lib/morgue';
EOF



%install
rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}/var/log/autopsy
install -d %{buildroot}%{_localstatedir}/lib/morgue
install -d %{buildroot}%{_datadir}/autopsy/help
install -d %{buildroot}%{_datadir}/autopsy/lib
install -d %{buildroot}%{_datadir}/autopsy/pict

install -m0755 autopsy %{buildroot}%{_sbindir}/autopsy
install -m0755 make-live-cd %{buildroot}%{_sbindir}/make-live-cd
install -m0755 conf.pl %{buildroot}%{_datadir}/autopsy/
install -m0644 help/*.html %{buildroot}%{_datadir}/autopsy/help/
install -m0644 lib/*.p* %{buildroot}%{_datadir}/autopsy/lib/
install -m0644 man/man1/autopsy.1 %{buildroot}%{_mandir}/man1/
install -m0644 pict/* %{buildroot}%{_datadir}/autopsy/pict/



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES.txt COPYING docs/*.txt INSTALL.txt README-LIVE.txt README.txt TODO.txt
%config(noreplace) %attr(0644,root,root) %{_datadir}/autopsy/conf.pl
%config(noreplace) %attr(0644,root,root) %{_datadir}/autopsy/lib/define.pl
%{_datadir}/autopsy
%attr(0755,root,root) %{_sbindir}/autopsy
%attr(0755,root,root) %{_sbindir}/make-live-cd
%dir /var/log/autopsy
%dir %{_localstatedir}/lib/morgue
%attr(0644,root,root) %{_mandir}/man1/*



%changelog
* Wed Feb 23 2009 Adam Miller <maxamillion [AT] gmail.com> - 2.21-1
- New release of autopsy

* Fri Oct 24 2008 Adam Miller <maxamillion [AT] gmail.com> - 2.20-1
- Spec based off of GPLv2+ autopsy.spec version 2.10-2 from mandriva
- Mandriva package maintainer: Thierry Vignaud <tvignaud@mandriva.com>
- First build attempt of autopsy for Fedora
